RelayAPI

Get ad analytics with daily breakdown

GET
/v1/ads/{id}/analytics
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Path Parameters

id*string

Resource ID

Query Parameters

from?string

Start date YYYY-MM-DD

to?string

End date YYYY-MM-DD

breakdowns?string

Comma-separated breakdown dimensions

Response Body

application/json

application/json

curl -X GET "https://api.relayapi.dev/v1/ads/string/analytics"
{
  "data": {
    "summary": {
      "impressions": 0,
      "reach": 0,
      "clicks": 0,
      "spend_cents": 0,
      "conversions": 0,
      "ctr": 0,
      "cpc_cents": 0,
      "cpm_cents": 0
    },
    "daily": [
      {
        "date": "string",
        "impressions": 0,
        "reach": 0,
        "clicks": 0,
        "spend_cents": 0,
        "conversions": 0,
        "video_views": 0,
        "engagement": 0,
        "ctr": 0,
        "cpc_cents": 0,
        "cpm_cents": 0
      }
    ],
    "demographics": {
      "age_gender": [
        {
          "property1": null,
          "property2": null
        }
      ],
      "locations": [
        {
          "property1": null,
          "property2": null
        }
      ]
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo